<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:ui="jakarta.faces.facelets"
	xmlns:bw="http://www.scc.kit.edu/bwfacelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:of="http://omnifaces.org/functions">
	
<head>
<title></title>
</head>
<body>
<f:view>
	<f:metadata>
		<f:viewParam name="registryId" value="#{setServicePasswordBean.id}"/>
		<f:viewParam name="ssn" value="#{setServicePasswordBean.serviceShortName}"/>
		<f:viewParam name="no" value="#{setServicePasswordBean.navOptions}"/>
		<f:event type="jakarta.faces.event.PreRenderViewEvent"
            listener="#{setServicePasswordBean.preRenderView}" />
	</f:metadata>

<ui:composition template="/template/default.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">

	<h:form id="form" prependId="false" class="full">

	<h3><h:outputText value="#{messages.set_password}: #{setServicePasswordBean.serviceEntity.name}" /></h3>

	<h:outputText value="#{messages.service_password_help_change_ecp_disabled}" escape="false" 
			rendered="#{setServicePasswordBean.serviceEntity.serviceProps.containsKey('ecp') and setServicePasswordBean.serviceEntity.serviceProps.get('ecp').equalsIgnoreCase('disabled')}"/>
	<h:outputText value="#{messages.service_password_help_change}" escape="false" 
			rendered="#{not (setServicePasswordBean.serviceEntity.serviceProps.containsKey('ecp') and setServicePasswordBean.serviceEntity.serviceProps.get('ecp').equalsIgnoreCase('disabled'))}"/>

	<p:messages id="messageBox" showDetail="true" escape="false"/>

	<p:panelGrid id="baseData" columns="2" layout="flex" columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9" style="margin-top: 1em;">
	    <h:outputLabel for="password1" value="#{messages.password}:" />
	    <h:inputSecret id="password1" redisplay="true" size="50" value="#{setServicePasswordBean.password1}" />

	    <h:outputLabel for="password2" value="#{messages.password_retype}:" />
	    <h:inputSecret id="password2" redisplay="true" size="50" value="#{setServicePasswordBean.password2}" />
	</p:panelGrid>			
	<div class="form">
		<p:commandButton id="save" action="#{setServicePasswordBean.save()}" value="#{messages.save}"
			update="messageBox,baseData" />
	</div>

	<h:panelGroup rendered="#{not setServicePasswordBean.navOptions.equalsIgnoreCase('created')}">
		<h:panelGroup rendered="#{not setServicePasswordBean.hideDeletePasswordBtn}" layout="block" style="margin-top: 1em;">
			<h3><h:outputText value="#{messages.delete_password} #{setServicePasswordBean.serviceEntity.name}" /></h3>

			<div style="margin-bottom: 1em;">
				<h:outputText value="#{messages.service_password_help_delete}" escape="false" />
			</div>
			<div class="form">
				<p:commandButton id="delete" action="#{setServicePasswordBean.deleteServicePassword()}" value="#{messages.delete}"
					update="messageBox, baseData" disabled="#{setServicePasswordBean.hideDeletePasswordBtn}"/>
			</div>
		</h:panelGroup>
		
		<div style="margin-top: 2em;">
			<a href="../index.xhtml"><h:outputText value="#{messages.back}"/></a>
		</div>		
	</h:panelGroup>
	
	
	</h:form>
	</ui:define>
</ui:composition>
</f:view>
</body>
</html>
